Renesas Synergy™

FAQ 3000143 : PDG(Ver.2)は多重割り込みに対応していますか?

Q: 質問

PDG(Ver.2)は多重割り込みに対応していますか?また、対応の予定はありますか?

 


A: 回答

PDGは多重割り込みに対応していません。
また、PDGは2013年に開発を終了しておりますので、新規に対応はできません。

なお、 #pragma interrupt を用いた割り込み関数宣言で多重割り込み許可を指定することで、多重割り込みが実現できます。
下記マニュアルをご参照ください。


CC-RX コンパイラ ユーザーズマニュアル
 4. コンパイラ言語仕様
      4.2 拡張言語仕様
        4.2.4 拡張仕様の使用方法         
     (3) 割り込み関数作成記述

 

適用製品

Peripheral Driver Generator
 RXファミリ用C/C++コンパイラパッケージ
他にご質問がございましたら、リクエストを送信してください